ESMERGE(1)

NAME
esmerge - merge audio and video ES into a TS

DESCRIPTION

  Usage:

    esmerge [switches] <video-file> <audio-file> <output-file>

    TS tools version 1.11, esmerge built Nov 11 2008 17:15:46

    Merge the contents of two Elementary Stream (ES) files, one containing video data, and the other audio, to produce an output file containing Transport Stream (TS).

  Files:

<video-file>
    is the ES file containing video.

<audio-file>
    is the ES file containing audio.

    <output-file> is the resultant TS file.

  Switches:

-quiet, -q
    Only output error messages.

-verbose, -v
    Output information about each audio/video frame.

-x  Output diagnostic information.

-h264
    The video stream is H.264 (the default)

-avs
    The video stream is AVS

-vidrate <hz>
    Video frame rate in Hz - defaults to 25Hz.

-rate <hz>
    Audio sample rate in Hertz - defaults to 44100, i.e., 44.1KHz.

-cd Equivalent to -rate 44100 (CD rate), the default.

-dat
    Equivalent to -rate 48000 (DAT rate).

-adts
    The audio stream is ADTS (the default)

-l2 The audio stream is MPEG layer 2 audio

-mp2adts
    The audio stream is MPEG-2 style ADTS regardless of ID bit

-mp4adts
    The audio stream is MPEG-4 style ADTS regardless of ID bit

-ac3
    The audio stream is Dolby AC-3 in ATSC

-patpmtfreq <f>
    PAT and PMT will be inserted every <f> video frames. by default, f = 0 and PAT/PMT are inserted only at the start of the output stream.

Limitations =========== For the moment, the video input must be H.264 or AVS, and the audio input ADTS, AC-3 ATSC or MPEG layer 2. Also, the audio is assumed to have a constant number of samples per frame.

    esmerge <video-file> <audio-file> <output-file>

    TS tools version 1.11, esmerge built Nov 11 2008 17:15:46

    Merge the contents of two Elementary Stream (ES) files, one containing video data, and the other audio, to produce an output file containing Transport Stream (TS).

  Files:

<video-file>
    is the ES file containing video.

<audio-file>
    is the ES file containing audio.

    <output-file> is the resultant TS file.

  Switches:

-quiet, -q
    Only output error messages.

-verbose, -v
    Output information about each audio/video frame.

-x  Output diagnostic information.

-h264
    The video stream is H.264 (the default)

-avs
    The video stream is AVS

-vidrate <hz>
    Video frame rate in Hz - defaults to 25Hz.

-rate <hz>
    Audio sample rate in Hertz - defaults to 44100, i.e., 44.1KHz.

-cd Equivalent to -rate 44100 (CD rate), the default.

-dat
    Equivalent to -rate 48000 (DAT rate).

-adts
    The audio stream is ADTS (the default)

-l2 The audio stream is MPEG layer 2 audio

-mp2adts
    The audio stream is MPEG-2 style ADTS regardless of ID bit

-mp4adts
    The audio stream is MPEG-4 style ADTS regardless of ID bit

-ac3
    The audio stream is Dolby AC-3 in ATSC

-patpmtfreq <f>
    PAT and PMT will be inserted every <f> video frames. by default, f = 0 and PAT/PMT are inserted only at the start of the output stream.

Limitations =========== For the moment, the video input must be H.264 or AVS, and the audio input ADTS, AC-3 ATSC or MPEG layer 2. Also, the audio is assumed to have a constant number of samples per frame.

SEE ALSO
The full documentation for esmerge is maintained as a Texinfo manual. If the info and esmerge programs are properly installed at your site, the command

    info esmerge

should give you access to the complete manual.